// 视频点位治理
import request from "@/utils/request";

/**
 * 列表
 * @param {*} data
 * @returns
 */
export function list(data) {
  return request({
    url: "/spdwzl/list",
    method: "post",
    data: data,
  });
}

/**
 * 视频点位-列表
 * @param {*} data
 * @returns
 */
export function spList(data) {
  return request({
    url: "/spdwzl/spList",
    method: "post",
    data: data,
  });
}

/**
 * 分组管理-增改
 * @param {*} data
 * @returns
 */
export function groupAdminUpdate(data) {
  return request({
    url: "/spdwzl/groupAdminUpdate",
    method: "post",
    data: data,
  });
}

/**
 * 视频点位-配置分组
 * @param {*} data
 * @returns
 */
export function spGroupSet(data) {
  return request({
    url: "/spdwzl/spGroupSet",
    method: "post",
    data: data,
  });
}

/**
 * 视频点位-重置标注数据
 * @param {*} data
 * @returns
 */
export function remarkReset() {
  return request({
    url: "/spdwzl/remarkReset",
    method: "post",
    // data: data,
  });
}

/**
 * 分组管理-列表（无分页）
 * @param {*} params
 * @returns
 */
export function groupList() {
  return request({
    url: "/spdwzl/groupList",
    method: "get",
    // params,
  });
}

/**
 * 获取分组信息
 * @param {*} params
 * @returns
 */
export function getGroupInfo(params) {
  return request({
    url: "/spdwzl/getGroupInfo",
    method: "get",
    params,
  });
}

/**
 * 根据监控编号获取url播放地址
 * @param {*} params
 * @returns
 */
export function getUrl(params) {
  return request({
    url: "/spdwzl/getUrl",
    method: "get",
    params,
  });
}

/**
 * 标注
 * @param {*} data
 * @returns
 */
export function marking(data) {
  return request({
    url: "/spdwzl/marking",
    method: "post",
    data: data,
  });
}
